Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.security
Class URLSecurityManager

    java.lang.Object
      |
      +--oracle.portal.provider.v2.security.PortletSecurityManager
            |
            +--oracle.portal.provider.v2.security.URLSecurityManager

public synchronized class URLSecurityManager
extends PortletSecurityManager

Constructor Summary
`URLSecurityManager()`

Method Summary
`java.lang.String` | `getAuthorizType()`
`boolean` | `hasAccess(PortletReference, ProviderUser)` Verifies whether the user is authorized to use this particular portlet instance.
`boolean` | `hasAccess(ProviderInstance, PortletDefinition, ProviderUser)` Verifies whether the user is authorized to use this Portlet.
`void` | `setAuthorizType(java.lang.String)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLSecurityManager

    public URLSecurityManager()

Method Detail

### setAuthorizType

    public void setAuthorizType(java.lang.String)

### getAuthorizType

    public java.lang.String getAuthorizType()

### hasAccess

    public boolean hasAccess(ProviderInstance,
                             PortletDefinition,
                             ProviderUser)

  Description copied from class: `PortletSecurityManager`
  Verifies whether the user is authorized to use this Portlet. That is does this user have the necessary privileges to create, get, copy, and destroy instances of this Portlet.

  Specified by:
    `hasAccess` in class `PortletSecurityManager`
  Parameters:
    `` - the provider instance from which the portlet is being accessed.
    `` - the current user we are being asked to authorize.
  Returns:
    true is this user is authorized to access this portlet.

### hasAccess

    public boolean hasAccess(PortletReference,
                             ProviderUser)
                      throws PortletNotFoundException

  Description copied from class: `PortletSecurityManager`
  Verifies whether the user is authorized to use this particular portlet instance. Generally, this check will only be made of the default instance as it is assumed you cannot be denied access to the default while having access to the customized instance, and in turn must always have access to your customized version if you have access to the default. However, if asked to authorize a particular instance the PortletNotFoundException should be thrown if that instance doesn't exist (even if the default does).

  Specified by:
    `hasAccess` in class `PortletSecurityManager`
  Parameters:
    `` - portlet reference
    `` - the current user we are being asked to authorize.
  Returns:
    true is this user is authorized to access this portlet instance.
    `PortletNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.